Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class NoSuchNodeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.content.RepositoryException
                  com.bea.content.NoSuchNodeException

All Implemented Interfaces
  Serializable

    public class NoSuchNodeException

extends RepositoryException

Thrown if an operation on a Node that does not exist occurs.

See Also
  Serialized Form

Constructor Summary
`NoSuchNodeException(String message)`
`NoSuchNodeException(String message, Throwable cause)`
`NoSuchNodeException(String message, Throwable cause, boolean log)`
`NoSuchNodeException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchNodeException

    public NoSuchNodeException(String message)

### NoSuchNodeException

    public NoSuchNodeException(String message,
                               Throwable cause)

### NoSuchNodeException

    public NoSuchNodeException(Throwable cause)

### NoSuchNodeException

    public NoSuchNodeException(String message,
                               Throwable cause,
                               boolean log)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.